/* 
Theme Name: Hello Child
Theme URI: https://bantishop.ir
Description: 
Author: bantishop
Author URI: https://bantishop.ir
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

@font-face {
  font-family: 'IRANSansX';
  src: url('/wp-content/themes/hello-child/fonts/IRANSansX/IRANSansXV.woff2') format('woff2');
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

/* Elementor Global Typography Override */
body,
p,
h1, h2, h3, h4, h5, h6,
.elementor-heading-title {
  font-family: 'IRANSansX', sans-serif !important;
  font-weight: 400;
}

/* Global */
body {
  font-family: 'IRANSansX', sans-serif !important;
  font-weight: 400;
}

/* Headings */
h1, h2, h3, h4, h5, h6 {
  font-family: 'IRANSansX', sans-serif !important;
}

/* Elementor Widgets */
.elementor-widget,
.elementor-nav-menu a,
.elementor-heading-title {
  font-family: 'IRANSansX', sans-serif !important;
}

/* Footer Posts Widget */
.elementor-widget-posts .elementor-post__title,
.elementor-widget-posts .elementor-post__title a {
  font-family: 'IRANSansX', sans-serif !important;
}


#billing_country_field{display: none !important;}
#billing_city_field,#billing_state_field{width: 100% !important;}
.optional {
    display: none !important;
}

:root {
  --e-global-typography-primary-font-family: 'IRANSansX';
  --e-global-typography-secondary-font-family: 'IRANSansX';
  --e-global-typography-text-font-family: 'IRANSansX';
  --e-global-typography-accent-font-family: 'IRANSansX';
}
html {
  --e-global-typography-primary-font-family: 'IRANSansX';
  --e-global-typography-secondary-font-family: 'IRANSansX';
  --e-global-typography-text-font-family: 'IRANSansX';
  --e-global-typography-accent-font-family: 'IRANSansX';
}
